const fs = require('node:fs');
const path = require('node:path');
const Router = require('@koa/router');
const apiRouter = new Router({
  prefix: '/api/editor',
});

/**
 * 路由自动注册
 */
const routerInstaller = (app) => {
  const exclude = [];
  const routerdir = path.resolve(__dirname, '../router');
  const routers = fs.readdirSync(path.resolve(routerdir), {
    encoding: 'utf-8',
  });
  const include = routers.filter((i) => exclude.indexOf(i) === -1);
  include.forEach((i) => {
    apiRouter.use(require(`${routerdir}/${i}`).routes());
    apiRouter.use(require(`${routerdir}/${i}`).allowedMethods());
  });
  app.use(apiRouter.routes());
  app.use(apiRouter.allowedMethods());
};
module.exports = {
  routerInstaller,
};
